Package Release Info

firebird-3.0.7.33374-bp152.2.3.1

Update Info: openSUSE-2020-2176
Available in Package Hub : 15 SP2 Update

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

firebird
firebird-doc
firebird-examples
firebird-server
firebird-utils
libfbclient-devel
libfbclient2
libfbclient2-64bit
libib_util
libib_util-64bit
libib_util-devel

Change Logs

Version: 3.0.2.32703-bp150.2.5
* Thu Mar 22 2018 fcrozat@suse.com
- Do no ship xinetd file on SLE15 (bsc#1084459).
* Thu Jan 04 2018 dimstar@opensuse.org
- Add firebird-icu60.patch: Fix build with icu 60.x.
* Fri Jun 30 2017 mkubecek@suse.cz
- update to upstream version 3.0.2
  * allow to to filter out info and warnings from the trace log
  * enhance control capability when sharing the database crypt key
    between Superserver attachments
  * the physical numbers of frequently used data pages are now
    cached to reduce the number of fetches of pointer pages
  * in SuperServer mode, read-only transaction will no longer force
    write the Header\TIP page content to disk immediately after
    a change
  * make the database name available to an encryption plug-in
  * enable nesting of keys in a plug-in configuration
  * build linux code with --enable-binreloc
  * trace: provide a filter to INCLUDE / EXCLUDE errors by their
    mnemonical names
  * port for ancient Motorola 68000 CPU platform
  * allow SELECT expressions as valid operands for the BETWEEN
    predicate
  * many bug fixes; for a list, see
    https://www.firebirdsql.org/file/documentation/release_notes/html/en/3_0/rnfb30-bug.html#bug-302
- Backported-fix-for-CORE-5474-Restrict-UDF-is-not-eff.patch:
  drop (included in 3.0.2)
- Backported-fix-for-CORE-5549-Errors-building-running.patch:
  fix errors when building/running on non-SSE CPU (CORE-5549)
- Backported-fix-for-CORE-5562-Firebird-crashes-when-U.patch:
  fix crash on frequent load/unload of UDF (CORE-5562)
- Workaround-for-CORE-5566-Server-crashes-while-restor.patch:
  workaround for server crash when restoring a backup while shadow
  file already exists (CORE-5566)
- Fixed-CORE-5567-Direct-system-table-modifications-ar.patch:
  fix the possibility to directly modivy system tables (CORE-5567)
- drop "--disable-binreloc", no longer needed
- add a check to fail in prep phase if extern/SfIO wasn't removed
  (bsc#763446)
* Sat Feb 18 2017 kukuk@suse.de
- Add missing insserv PreReq
* Tue Feb 07 2017 mkubecek@suse.cz
- Backported-fix-for-CORE-5474-Restrict-UDF-is-not-eff.patch
  security vulnerability fix for bypassing 'Restrict UDF' value of
  UdfAccess config directive (bsc#1023990)
* Thu Sep 29 2016 mkubecek@suse.cz
- update to upstream version 3.0.1
  * an assertion could occur in createDatabase() when doing the
    overwrite check (CORE-5339)
  * a database could suffer partial corruption in the "use all
    space" (no-reserve) mode (CORE-5329)
  * trying to encrypt a database in the absence of the the
    appropriate key could corrupt it (CORE-5292)
  * a database could get decrypted after changing a couple of bytes
    in the database header without 'agreement' from the crypt
    plug-in (CORE-5213)
  * access violation from certain UDFs would cause the server to
    crash (CORE-5234)
  * a segfault could occur when op_que_events was used on a port
    that was not prepared for events processing (CORE-5335)
  * a segfault could occur if an attachment was closed while
    requests were still open
  * for the full list of bugs fixed, se the release notes at
    http://www.firebirdsql.org/file/documentation/release_notes/html/en/3_0/rnfb30-bug.html#bug-301
  * the statement CREATE OR ALTER USER SYSDBA PASSWORD <password>
    can now be used to initialize an empty securityN.fdb security
    database (improvement CORE-5266)
  * nesting of keys in a plug-in configuration was enabled
    (improvement CORE-5257)
  * line and column numbers (location context) are now provided for
    runtime errors raised inside EXECUTE BLOCK (improvement
    CORE-5216)
  * gbak now returns a non-zero result code when restore fails on
    creating and activating a deferred user index (CORE-5201)
  * implicit conversion between Boolean and string is now done
    automatically when a string for 'true' or 'false' is used as a
    value in an expression (CORE-5167)
- drop patches merged present in new upstream release:
  allow-creating-buildRoot-as-non-root-user.patch
  Allow-to-enforce-IPv4-or-IPv6-in-URL-like-connection.patch
  Fix-locking-on-big-endian-architectures.patch
- update to current code:
  work-around-g-problem-in-SLE11.patch
* Wed Jun 29 2016 mkubecek@suse.cz
- add fake "Provides: libfbembed-devel" to libfbclient-devel
  subpackage; this is a temporary workaround to allow LibreOffice
  build both before and after firebird is upgraded to verison 3.0
  in Factory; once FB3 is in Factory, LibreOffice BuildRequires
  can be updated to libfbclient-devel (based on %suse_version) and
  this hack can be dropped
* Tue May 31 2016 mkubecek@suse.cz
- move libEnginge12.so and intl/ into firebird package as these
  are also needed by embedded connections
- include /etc/firebird/firebird.conf.d/*.conf into configuration
- move the directive restricting DatabaseAccess to /srv/firebird
  into a separate config file in firebird-server subpackage so
  that it doesn't affect embedded-only installs
- do-not-use-DatabaseAccess-Full-in-default-config.patch:
  replaced by 50-server.conf
- fix Group tag for libfbclient2 and libib_util subpackages
- improve libib_util subpackage description
* Wed May 18 2016 mkubecek@suse.cz
- libfbclient-devel cannot be used as a direct replacement for
  libfbembed-devel so it's better to stop pretending so
- some packages have (unnecessary) explicit build requirement for
  firebird-devel whose contents was merged into libfbclient-devel;
  add corresponding Provides and Obsoletes
* Wed May 11 2016 mkubecek@suse.cz
- Fix-locking-on-big-endian-architectures.patch:
  fix broken code (and failed build) on big endian architectures
  (CORE-5232)
- explicitely require autoconf 2.67 or newer for build
* Wed May 11 2016 mkubecek@suse.cz
- upgrade to upstream version 3.0.0 (final)
  * one executable for all modes => drop firebird-classic package
  * true SMP support in SuperServer
  * new object oriented C++ API
  * per-database config files
  * increased limits
  * support multiple security databases
  * boolean type
  * SQL packages
  * DDL triggers
  * window functions
  * statistical functions
  * scrollable cursors
  * IPv6 support
- reorganize subpackages:
  * firebird: only common files needed for both client and server
  * firebird-server: server installation
  * libfbclient2: client library
  * firebird-utils: management utilities
  * libib_util: libib_util library (utility functions for UDF)
  * firebird-doc: documentation
  * firebird-examples: API examples
  * libfbclient-devel: devel files for libfbclient2
  * libib_util-devel: devel files for libib_util
- delete patches obsoleted by version upgrade:
  * Added-check-for-failed-fork-system-call.patch
  * Apply-Partial-patch-for-C-11-compilation-of-the-Fire.patch
  * Backported-fix-for-CORE-4785-Bad-packet-of-op_execut.patch
  * Backported-fix-for-CORE-4788-Superclassic-server-han.patch
  * Fixed-CORE-3431-ISQL-pads-UTF-8-data-incorrectly.patch
  * Fixed-s-tandalone-switch-in-posix-server.patch
  * isql-fix-buffer-overflow-when-set-width-sets-bigger-.patch
  * isql-fix-output-if-charset-is-different-from-locale.patch
  * Libreoffice-patch-C-11-new-delete-replacement-functi.patch
- delete add-experimental-support-for-m68k-architecture.patch
  architecture specific settings are managed in a different way
  in 3.0 so that this would need a complete rewrite; as this
  has little chance to get upstreamed and I doubt anyone plans
  to actually run Firebird 3.0 on openSUSE on m68k, let's just
  drop it
- update remaining patches:
  * add-pkgconfig-files.patch
  * allow-creating-buildRoot-as-non-root-user.patch
  * disable-xinetd-service-by-default.patch
  * do-not-use-DatabaseAccess-Full-in-default-config.patch
  * fbguard-allow-creating-a-guard-pidfile.patch
  * use-killproc-in-stop-branch-of-SuSE-init-script.patch
- new patches (from post-3.0 development):
  * unicode-handle-the-ICU-version-hack-from-SuSE.patch
    compatibility with SUSE ICU versioning hack
  * Make-the-generated-code-compatible-with-gcc-6-in-C-1.patch:
    gcc6 compatibility
  * Provide-sized-global-delete-operators-when-compiled-.patch:
    gcc6 compatibility
  * Allow-to-enforce-IPv4-or-IPv6-in-URL-like-connection.patch:
    implement "inet4" and "inet6" protocols for URL-like connection
    strings to enforce IPv4 or IPv6
  * work-around-g-problem-in-SLE11.patch:
    work around a bug in old g++ (needed for SLE11 build)
- build with -fno-delete-null-pointer-checks
- specfile cleanup
* Fri Feb 26 2016 rguenther@suse.com
- Build with -std=gnu++98 -fno-lifetime-dse for GCC 5+ to avoid
  issues with the old C++ code-base and its undefined behavior.  [bnc#964466]
* Mon Jul 27 2015 mkubecek@suse.cz
- fix libfbembed package name in baselibs.conf so that the
  libfbembed2_5-32bit is built
* Mon Jul 27 2015 mkubecek@suse.cz
- upgrade to upstream version 2.5.4 (final)
  * CORE-4558: SuperServer dies when client is disconnected
    abnormally during the index navigational scan
  * CORE-4676: Crash on unexpected client disconnection with opened
    transaction
  * CORE-4075: Server bugchecks or crashes on exception in
    calculated index
  * CORE-4624: Firebird handles ':' characters in mount table
    entries invalid
- Backported-fix-for-CORE-4788-Superclassic-server-han.patch:
  CORE-4788: Superclassic server hangs when receiving network
  packet
- Backported-fix-for-CORE-4785-Bad-packet-of-op_execut.patch:
  CORE-4785: Bad packet of op_execute kills the server
- Fixed-s-tandalone-switch-in-posix-server.patch:
  fix -s(tandalone) switch in posix server
- Added-check-for-failed-fork-system-call.patch:
  add check for failed fork() system call
- Apply-Partial-patch-for-C-11-compilation-of-the-Fire.patch:
  Libreoffice-patch-C-11-new-delete-replacement-functi.patch:
  two patches from LibreOffice fixing C++11 build
* Sun Dec 07 2014 mkubecek@suse.cz
- upgrade to upstream version 2.5.4.26821
  * server crash by malformed packet (bnc#908127, CORE-4029,
    CORE-4030)
  * various functional fixes
- removed patches merged into upstream:
  * Firebird-2.5.2.26539-0-fix-bashisms.patch:
  * aarch64-support.patch
  * firebird-2.5.2-CORE-4058.patch
  * firebird-2.5.2-icu49.patch
  * firebird-2.5.2-runlevel.patch
  * firebird-fix-unsigned-char.diff
  * firebird-s390x-fix_libdir.patch
  * ppc64-libdir.patch
- replace remaining patches by git based ones:
  * firebird-2.5.1-chown.patch
  - > allow-creating-buildRoot-as-non-root-user.patch
  * firebird-2.5.1-config.patch
  - > do-not-use-DatabaseAccess-Full-in-default-config.patch
  * firebird-2.5.1-disable.patch
  - > disable-xinetd-service-by-default.patch
  * firebird-2.5.2-gpidfile.patch
  - > fbguard-allow-creating-a-guard-pidfile.patch
  * firebird-2.5.2-init.patch
  - > use-killproc-in-stop-branch-of-SuSE-init-script.patch
    (remaining part not upstreamed)
  * firebird-2.5.2-isqlalign.patch
  - > Fixed-CORE-3431-ISQL-pads-UTF-8-data-incorrectly.patch
  * firebird-2.5.2-isqllocale.patch
  - > isql-fix-output-if-charset-is-different-from-locale.patch
  * firebird-2.5.2-isqlwidth.patch
  - > isql-fix-buffer-overflow-when-set-width-sets-bigger-.patch
  * firebird-2.5.2-pkgconfig.patch
  - > add-pkgconfig-files.patch
  * m68k-support.patch
  - > add-experimental-support-for-m68k-architecture.patch
- use xz compressed tarball
* Mon Nov 17 2014 Led <ledest@gmail.com>
- fix bashisms in scripts
- add patches:
  * Firebird-2.5.2.26539-0-fix-bashisms.patch
* Sat Jul 05 2014 coolo@suse.com
- install init script as executable
- fix the script
* Mon Feb 17 2014 ro@suse.de
- firebird-s390x-fix_libdir.patch: s390x uses lib64
* Tue Dec 17 2013 schwab@suse.de
- m68k-support.patch: add support for m68k
* Thu Dec 05 2013 mls@suse.de
- adapt for ppc64le
Version: 3.0.4.33054-bp152.1.31
* Wed Nov 21 2018 mkubecek@suse.cz
- update to upstream version 3.0.4
  * add support for SRP authentication using SHA-256
  * ODS (database file format) version raised to 12.2 on some
    architectures (including i586, not x86_64); new version will be
    able to open existing ODS 12.0 created on the same architecture
    but for database transfer between architectures, backup/restore
    is always recommended
  * context variables WIRE_COMPRESSED and WIRE_ENCRYPTED were added
    to the SYSTEM namespace to report compression and encryption
    status, respectively, of the current connection (CORE-5913)
  * enhanced reporting of errors when dynamic library fails to load
    (CORE-5908)
  * include funciton name when UDF causes "Arithmetic exception,
    numeric overflow, or string truncation" error (CORE-5876)
  * context variables LOCALTIME and LOCALTIMESTAMP (synonyms for
    CURRENT_TIME and CURRENT_TIMESTAMP) for compatibility with 4.0
    (CORE-5853)
  * read-only restriction for system tables was relaxed to permit
    CREATE, ALTER and DROP operations on their indexes (CORE-5746)
  * fix unauthorized BLOB access vulnerability (CORE-5801)
  * for a full list of bugfixes and improvements see
    http://www.firebirdsql.org/file/documentation/release_notes/html/en/3_0/rnfb30-general.html#rnfb30-general-v304
- drop patches included in new upstream release:
  Make-it-build-with-icu60.patch
  An-attempt-to-fix-CORE-5764-need-feedback-on-snapsho.patch
  Fixed-a-code-somewhy-accepted-by-gcc6.patch
- refresh patches:
  work-around-g-problem-in-SLE11.patch
  use-C-98-on-SLE11.patch
* Wed Jul 04 2018 mkubecek@suse.cz
- replace unicode-handle-the-ICU-version-hack-from-SuSE.patch
  with more general upstream solution:
  * An-attempt-to-fix-CORE-5764-need-feedback-on-snapsho.patch
  * Fixed-a-code-somewhy-accepted-by-gcc6.patch
- unicode-handle-new-SUSE-ICU-version-hack.patch:
  search also for "suse%d.%d" soname pattern to fix build after
  upcoming ICU update (bsc#1095425)
* Wed Mar 28 2018 mkubecek@suse.cz
- move firebitd.xinetd back to firebird-server subpackage on SLE15
- provide /etc/xinetd.d directory on Tumbleweed and Leap 15.0 as
  xinetd is no longer guaranteed to be present there; this solution
  (suggested by Dimstar) is less painful than either having
  firebird-server depend on xinetd or splitting a new subpackage
  firebird-server-classic.
* Fri Mar 23 2018 mkubecek@suse.cz
- patch xinetd config file unconditionally; previous change would
  result in unpatched xinetd config file installed on Tumbleweed
  so that the service would be enabled by default and firebird
  binary run as root
* Sat Mar 03 2018 mkubecek@suse.cz
- update to upstream version 3.0.3
  * fix conflicting constants; programs using * fb_info_crypt_state
    constant must be recompiled
  * provide crypto key name via fb_info_crypt_key item in
    Attachment::getInfo()
  * improve handling of concurrent ALTER DATABASE statements
  * make sure ORDER BY with equivalent expressions are equivalent
    and use the same plan
  * avoid serialization of isc_attach_database calls issued by
    EXECUTE STATEMENT
  * show date and time of analysis in gstat output
  * show database info in sweep error message
  * provide compression details and encryption status of the
    connection in Attachment::getInfo() API call
  * fix RDB$RELATION_TYPE when restoring ODS < 11.1 database
  * the optimizer can now estimate the actual record compression
    ratio
  * various performance improvements
  * various bug fixes, for a list, see release notes at
    http://www.firebirdsql.org/file/documentation/release_notes/html/en/3_0/rnfb30-bug.html
- drop patches included in new upstream version:
  Backported-fix-for-CORE-5549-Errors-building-running.patch
  Backported-fix-for-CORE-5562-Firebird-crashes-when-U.patch
  Fixed-CORE-5567-Direct-system-table-modifications-ar.patch
  Make-the-generated-code-compatible-with-gcc-6-in-C-1.patch
  Workaround-for-CORE-5566-Server-crashes-while-restor.patch
- unicode-handle-the-ICU-version-hack-from-SuSE.patch:
  rework to handle ICU >= 60 (as many versions as upstream)
- drop firebird-icu60.patch
  obsoleted by update of the unicode patch
- Make-it-build-with-icu60.patch
  upstream post-3.0.3 commit for ICU >= 59 compatibility
- use-C-98-on-SLE11.patch
  compatibility patch for SLE11 where gcc 4.3 does not support
  - stc=gnu++03 (applied only on SLE11)
Version: 3.0.7.33374-bp151.4.3.1
* Sat Oct 31 2020 Michal Kube?ek <mkubecek@suse.cz>
- update to upstream version 3.0.7
  * better diagnostic for the 'Missing security context' error
    (CORE-6362)
  * disconnect from the security database when missing plugin data
    structures cause an error (CORE-6339)
  * multiple important bug fixes
* Sat Oct 17 2020 Michal Kube?ek <mkubecek@suse.cz>
- update to upstream version 3.0.6
  * add better transaction control in isql (CORE-4933)
  * increase parse speed of long queries (CORE-6274)
  * improve performance when using SRP plugin (CORE-6237)
- refresh
  * work-around-g-problem-in-SLE11.patch
* Tue Jun 23 2020 Michal Kubecek <mkubecek@suse.cz>
- minor specfile cleanup
* Sun Jun 21 2020 Andreas Stieger <andreas.stieger@gmx.de>
- update to 3.0.5:
  * Improve the engine providers compatibility across Firebird
    versions
  * Make it possible for the AuthClient plugin to access the
    authentication block from DPB
  * Implement option to restore compressed .nbk files without
    explicitly decompressing them